"""notifications_init

Revision ID: ec2aab4ad517
Revises: 21dc67216082
Create Date: 2021-01-20 15:34:19.302047

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "ec2aab4ad517"
down_revision = "21dc67216082"
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "notification_templates",
        sa.Column("template_id", sa.Integer, primary_key=True),
        sa.Column("name", sa.String),
        sa.Column("description", sa.String),
        sa.Column("template", sa.String),
    )

    op.execute(
        "INSERT INTO notification_templates (name, description, template) "
        "VALUES ('email', 'A generic email template, requiring subject and message.'"
        ", 'Subject: {{subject}}\n\n{{message}}')"
    )


def downgrade():
    op.drop_table("notification_templates")
